using System;
using System.Globalization;

internal sealed class Delegate492 : MulticastDelegate
{
	public extern ushort Invoke(string string_0, NumberStyles numberStyles_0);

	public static ushort smethod_0(string string_0, NumberStyles numberStyles_0, Delegate492 delegate492_1)
	{
		return delegate492_1(string_0, numberStyles_0);
	}

	public extern Delegate492(object object_0, IntPtr intptr_0);

	static Delegate492()
	{
		Class10.smethod_13(typeof(Delegate492).TypeHandle);
	}

	internal static Delegate492 delegate492_0;
}
